import { useEffect } from 'react';
import { useDispatch, useSelector } from 'react-redux';
import { actions as uiActions } from '../../store/ui';
import AppNavbar from '../navigation/app-navbar';
import Sidebar from '../navigation/sidebar/sidebar';
import PageWrapper from './page-wrapper';
import DMList from '../navigation/sidebar/dm-list';
import TextBasedChannel from '../channel/text-based-channel';

const OverviewPage: React.FunctionComponent = () => {
  const dispatch = useDispatch();
  const ui = useSelector((s: Store.AppState) => s.ui);

  useEffect(() => {
    dispatch(uiActions.pageSwitched({ channel: null, guild: null }));
  }, []);

  return (
    <PageWrapper
      className="bg-bg-primary h-full w-full"
      pageTitle="PVTChat">
      <Sidebar />
      <AppNavbar />
      There's nothing here yet, sadly..
      <div className="bg-bg-primary h-full w-full flex flex-col flex-grow"></div>
      <div
            style={{ height: 'calc(100vh - 48px)' }}
            className="flex">
            {ui.activeChannel && {
              'DM': <TextBasedChannel />,
            }["DM"]}
            <DMList />
          </div>
    </PageWrapper>
  );
}

export default OverviewPage;